Package ru.bitel.bgbilling.modules.npay.common.service

# Interface NPayService

    public interface NPayService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAmountForUnlock​(int contractId)` | Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
  `java.math.BigDecimal` | `precalculateAccount​(int contractId, int serviceSet, java.util.Date dateFrom, java.util.Date dateTo)` | Вычисление будущей наработки для определения рекомендуемого платежа.
  `void` | `serviceObjectDelete​(int id)` |
  `ServiceObject` | `serviceObjectGet​(int id)` |
  `void` | `serviceObjectUpdate​(ServiceObject serviceObject)` |
  `java.util.Collection<java.lang.String>` | `serviceSetGet​(int parseInt)` |
  `java.lang.Boolean[][]` | `serviceStatusMatrixGet​(java.util.List<java.lang.Integer> serviceIds, java.util.List<java.lang.Integer> statusIds)` |
  `void` | `serviceStatusMatrixUpdate​(java.util.List<java.lang.Integer> serviceIds, java.util.List<java.lang.Integer> statusIds, java.lang.Boolean[][] values)` |

- ## Method Details

  - ### precalculateAccount

    java.math.BigDecimal precalculateAccount​(int contractId, int serviceSet, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Вычисление будущей наработки для определения рекомендуемого платежа.
    Parameters:
      `contractId` - ID договора.
      `serviceSet` - набор услуг модуля.
      `dateFrom` - дата начала активности договора (должна быть в одном месяце с dateTo).
      `dateTo` - дата окончания активности договора (должна быть в одном месяце с dateFrom).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### getAmountForUnlock

    java.math.BigDecimal getAmountForUnlock​(int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    Parameters:
      `contractId` - ID договора.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### serviceObjectGet

    ServiceObject serviceObjectGet​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### serviceObjectUpdate

    void serviceObjectUpdate​(ServiceObject serviceObject) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### serviceObjectDelete

    void serviceObjectDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### serviceStatusMatrixGet

    java.lang.Boolean[][] serviceStatusMatrixGet​(java.util.List<java.lang.Integer> serviceIds, java.util.List<java.lang.Integer> statusIds) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### serviceStatusMatrixUpdate

    void serviceStatusMatrixUpdate​(java.util.List<java.lang.Integer> serviceIds, java.util.List<java.lang.Integer> statusIds, java.lang.Boolean[][] values) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### serviceSetGet

    java.util.Collection<java.lang.String> serviceSetGet​(int parseInt) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`